From b0350a6b6efe0dbe47d0bac1aff0a47e1db3b0f2 Mon Sep 17 00:00:00 2001
From: Pranab Das <31024886+pranabdas@users.noreply.github.com>
Date: Wed, 6 Mar 2024 20:31:04 +0800
Subject: [PATCH 08/19] SOF-6927: fix regex match expression to extract atomic
 label

---
 src/context/providers/espresso/providers.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/context/providers/espresso/providers.js b/src/context/providers/espresso/providers.js
index 02d16bd..e0d215d 100644
--- a/src/context/providers/espresso/providers.js
+++ b/src/context/providers/espresso/providers.js
@@ -129,7 +129,7 @@ export class QEPWXContextProvider extends mix(ExecutableContextProvider).with(
         return QEPWXContextProvider.atomSymbolsWithLabels(material)
             .map((symbol) => {
                 const symbolWithoutLabel = symbol.replace(/\d$/, "");
-                const label = symbol.match(/\d$/g)[0] ? symbol.match(/\d$/g)[0] : "";
+                const label = symbol.match(/\d$/g) ? symbol.match(/\d$/g)[0] : "";
                 const pseudo = this.getPseudoBySymbol(symbolWithoutLabel);
                 return QEPWXContextProvider.symbolToAtomicSpecieWithLabels(
                     symbolWithoutLabel,

